## org.apache.tools.ant.taskdefs.optional.ejb
Class WLStop

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.ejb.WLStop

public class WLStop
extends Task

Shuts down a WebLogic server. To shut down an instance you must supply both a username and a password.

Author:
  Conor MacNeill, Cortex ebusiness Pty Limited

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`WLStop()`

Method Summary
`Path` `createClasspath()` The classpath to be used with the Java Virtual Machine that runs the Weblogic Shutdown command;
`void` `execute()` Do the work.
`void` `setBEAHome(java.io.File beaHome)` The location of the BEA Home; implicitly selects Weblogic 6.0 shutdown; optional.
`void` `setClasspath(Path path)` The classpath to be used with the Java Virtual Machine that runs the Weblogic Shutdown command;
`void` `setDelay(java.lang.String s)` Set the delay (in seconds) before shutting down the server; optional.
`void` `setPassword(java.lang.String s)` The password for the account specified in the user parameter; required
`void` `setUrl(java.lang.String s)` Set the URL to which the weblogic server is listening for T3 connections; required.
`void` `setUser(java.lang.String s)` The username of the account which will be used to shutdown the server; required.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLStop

    public WLStop()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Do the work. The work is actually done by creating a separate JVM to run the weblogic admin task This approach allows the classpath of the helper task to be set.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### setClasspath

    public void setClasspath(Path path)

  The classpath to be used with the Java Virtual Machine that runs the Weblogic Shutdown command;

  Parameters:
    `path` - the classpath to use when executing the weblogic admin task.

### createClasspath

    public Path createClasspath()

  The classpath to be used with the Java Virtual Machine that runs the Weblogic Shutdown command;

### setUser

    public void setUser(java.lang.String s)

  The username of the account which will be used to shutdown the server; required.

  Parameters:
    `s` - the username.

### setPassword

    public void setPassword(java.lang.String s)

  The password for the account specified in the user parameter; required

  Parameters:
    `s` - the password.

### setUrl

    public void setUrl(java.lang.String s)

  Set the URL to which the weblogic server is listening for T3 connections; required.

  Parameters:
    `s` - the url.

### setDelay

    public void setDelay(java.lang.String s)

  Set the delay (in seconds) before shutting down the server; optional.

  Parameters:
    `s` - the selay.

### setBEAHome

    public void setBEAHome(java.io.File beaHome)

  The location of the BEA Home; implicitly selects Weblogic 6.0 shutdown; optional.

  Parameters:
    `beaHome` - the BEA Home directory.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.